﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{4CC7760E-3D16-40ED-89FE-D0B54EFE8E96}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Ax.Logic</RootNamespace>
    <AssemblyName>Ax.Logic</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=11.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.11.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AiGameData.cs" />
    <Compile Include="ArtificialIntelligence.cs" />
    <Compile Include="MathFuck\MoveCalculator.cs" />
    <Compile Include="MathFuck\Point.cs" />
    <Compile Include="MathFuck\Vector.cs" />
    <Compile Include="Model\Map\UdpDataListExtensions.cs" />
    <Compile Include="Strategies\FollowerStrategy.cs" />
    <Compile Include="Strategies\Ranged\RandomRangedStrategy.cs" />
    <Compile Include="Strategies\FlyStrategy.cs" />
    <Compile Include="Map.cs" />
    <Compile Include="Model\HTTP\StepRequest.cs" />
    <Compile Include="Model\HTTP\UnitSelection.cs" />
    <Compile Include="Model\HTTP\StanceData.cs" />
    <Compile Include="Model\Map\InconsistentMapException.cs" />
    <Compile Include="Model\Map\MapEntry.cs" />
    <Compile Include="Model\Map\MapEntryExtensions.cs" />
    <Compile Include="Model\Map\MapExtensions.cs" />
    <Compile Include="Model\Map\UdpDataExtensions.cs" />
    <Compile Include="Model\Parsers\UdpModelParser.cs" />
    <Compile Include="Model\UDP\Hero.cs" />
    <Compile Include="Model\UDP\Player.cs" />
    <Compile Include="Model\UDP\Race.cs" />
    <Compile Include="Model\UDP\Specials.cs" />
    <Compile Include="Model\UDP\Unit.cs" />
    <Compile Include="Model\UDP\UdpData.cs" />
    <Compile Include="Model\UDP\UnitName.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ResponseLogic.cs" />
    <Compile Include="Strategies\IStrategy.cs" />
    <Compile Include="Strategies\Ranged\ShootNearestUnitStrategy.cs" />
    <Compile Include="Strategies\TestStrategy.cs" />
    <Compile Include="UnitPriceContainer.cs" />
    <Compile Include="UnitSelectionLogic.cs" />
    <Compile Include="UnitSelector.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Resources\unitprices.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Ax.Common\Ax.Common.csproj">
      <Project>{1d293420-3131-4dc5-93a5-4ace2e2d5b45}</Project>
      <Name>Ax.Common</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>